// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//                      Vorspann zum Demo Program
#ifndef _MAIN_H
 #define _MAIN_H

 #include <avr/wdt.h>			// hier stecken die prozessorspeziellen Variablen drin 

 #define F_CPU 20000000UL 
 #include <util/delay.h>			// alles was mit Zeitverzgerung zu tun hat

 //Hier die Quarz Frequenz einstellen
 #define SYSCLK	20000000L	//Quarz Frequenz in Hz

 #include <avr/io.h>	

 #define NULL  0

 #include <avr/interrupt.h>		// damit sei(); und cli(); gehen



void charaufLCD(unsigned char c18,unsigned char xpos,unsigned char ypos);	// zeigt ein char ohne Warten an
void intaufLCD(unsigned int i19,unsigned char xpos,unsigned char ypos);		// zeigt zwei Byte ohne Warten an

void lcd_init(uint8_t dispAttr);
void lcd_command(uint8_t cmd);

unsigned char w1_rom_search( unsigned char diff, int *id );

void start_meas(void);							// Schreiben eines Messwerts
void read_meas( void );							// Lesen eines Messwerts

char w1_reset(void);							// Testen auf Vorhandensein des Sensors

unsigned char w1_bit_io( unsigned char b );		//
unsigned char w1_byte_wr( unsigned char b );		//
unsigned char w1_byte_rd( void );
void w1_command( unsigned char command, int *id );







// ------- ROM COMMANDS - After the bus master has detected a presence pulse, it can issue a ROM command

#define	SEARCH_ROM	0xf0	// When a system is initially powered up, the master must identify the ROM codes of all slave devices

#define READ_ROM	0x33	// This command can only be used when there is one slave on the bus.

#define MATCH_ROM	0x55	// The match ROM command followed by a 64-bit ROM code sequence allows the bus master to address a specific slave device

#define SKIP_ROM	0xcc	// The master can use this command to address all devices on the bus simultaneously

#define AL_SEARCH	0xec	// only slaves with a set alarm flag will respond.

// ---------- DS1820 Function Command Set -------------------------------------------------------------------------

#define CONVERT_T	0x44	// Convert T [44h] Initiates temperature conversion.

#define READ		0xbe	// Read Scratchpad [BEh] Reads the entire scratchpad including the CRC byte

#define WRITE		0x4e	// Writes data into scratchpad bytes 2 and 3 (TH and TL).

#define EE_WRITE	0x48	// Copies TH and TL data from the scratchpad to EEPROM

#define EE_RECALL	0xb8	// Recall E2 [B8h] Recalls TH and TL data from EEPROM to the scratchpad

#define READ_PS		0xb4	// Read Power Supply [B4h] Signals DS18S20 power supply mode to the master

// ----------------------------------------------------------------------------------------------------------------

#define	SEARCH_FIRST	0xff	// start new search

#define	PRESENCE_ERR	0xff	//

#define	DATA_ERR	0xfe		//

#define LAST_DEVICE	0x00		// last device found


#endif //_MAIN_H

