#include "schau.h"


// testweise die lEDs anzeigen und anhalten
void charaufLEDx(unsigned char c1)
{
	// testweise anzeigen, anhalten bis beliebiger Tastendruck erfolgt, dann erst weiter.
	
	unsigned char c2=0x00;
	PORTB = c1;
	//_delay_ms(200);
	while(c2==0x00)
	{
	c2= ((PINA & 0xF8)>> 3) ;		// Die drei Eingaenge PA0, PA1 und PA2 sind nicht angeschlossen, 
	}
	PORTB = 0x00;
	_delay_ms(200);
}
// --------------------------------- charaufLEDx() --------------------------------------------------------------



void intaufLEDx(unsigned int i1)
{
	// unteres Byte anzeigen = taste 3 (blau)
	// oberes Byte anzeigen  = Taste 4 (blau)
	// weiter = Taste 5 = rot
	
	unsigned char c1 = 0x00;
	unsigned char c2 = 0x00;
	while(1)
	{
		c2= ((PINA & 0xF8)>> 3) ;		// Die Tasten sind an Pin PA3,PA4,PA5,PA6 und PA7 angeschlossen F8=11111000
		if (c2 == 0x4) 		
		{
			PORTB = c2;					// oberes Byte anzeigen  = Taste 4 (blau)
			_delay_ms(200);
			c1 = (i1 & 0x00FF);
			PORTB = c1;
		}
		if (c2 == 0x02) 				// unteres Byte anzeigen = taste 3 (blau)
		{
			PORTB = c2;
			_delay_ms(200);
			c1 = (i1 & 0xFF00)>>8;
			PORTB = c1;
		}	
		if (c2 == 0x01) 				// rote Taste
		{
			break;
		}
		
	}
	PORTB = 0x00;
	_delay_ms(200);
}
// --------------------------------- intaufLEDx() --------------------------------------------------------------



void charaufLCD(unsigned char c18,unsigned char xpos,unsigned char ypos)	// zeigt ein char ohne Warten an
{
	// Char auf LCD anzeigen
	// weiter = Taste 1 = rot
	

	unsigned char zz, ee;					// Zehner Einer
	
	zz = ((c18 & 0xf0)>>4);
	if (zz < 0x0a ) zz = zz | 0x30;
	else zz = ( zz | 0x60) - 0x09;
	
	ee = (c18 & 0x0f);
	if ( ee < 0x0a ) ee = ee | 0x30;
	else ee = ( ee | 0x60) - 0x09;
	
	lcd_gotoxy(xpos, ypos);					// schickt den Cursor auf Position X=Spalte y= Zeile
	lcd_putc(zz);lcd_putc(ee);				// und ab aufs LCD Display
	
	//lcd_command(0x01);					// display clear
	//_delay_ms(200);
}
// -------------------------- end of charaufLCD() --------------------------------------------------------------




void charaufLCDx(unsigned char c18,unsigned char xpos,unsigned char ypos)	// zeigt ein char mit Warten an
{
	// Char auf LCD anzeigen
	// weiter = Taste 1 = rot
	

	unsigned char zz, ee;					// Zehner Einer
	
	zz = ((c18 & 0xf0)>>4);
	if (zz < 0x0a ) zz = zz | 0x30;
	else zz = ( zz | 0x60) - 0x09;
	
	ee = (c18 & 0x0f);
	if ( ee < 0x0a ) ee = ee | 0x30;
	else ee = ( ee | 0x60) - 0x09;
	
	lcd_gotoxy(xpos, ypos);					// schickt den Cursor auf Position X=Spalte y= Zeile
	lcd_putc(zz);lcd_putc(ee);				// und ab aufs LCD Display
	
	
	unsigned char c2 = 0x00;
	while(1)
	{
		c2= ((PINA & 0xF8)>> 3) ;		// Die drei Eingaenge PA0, PA1 und PA2 sind nicht angeschlossen
		if (c2 == 0x01) 				// rote Taste gedrckt
		{
			break;
		}
	}
	
	//lcd_command(0x01);					// display clear
	//_delay_ms(200);
}
// -------------------------- end of charaufLCDx() --------------------------------------------------------------




void intaufLCD(unsigned int i19,unsigned char xpos,unsigned char ypos)					// zeigt zwei Byte ohne Warten an
{
	// Integer auf LCD anzeigen
	// weiter = Taste 1 = rot

	unsigned char tt, hh , zz, ee;

	tt = ((i19 & 0xf000)>>12);
	if (tt < 0x0a ) tt = tt | 0x30;
	else tt = ( tt | 0x60) - 0x09;

	hh = ((i19 & 0x0f00)>>8);
	if (hh < 0x0a ) hh = hh | 0x30;
	else hh = ( hh | 0x60) - 0x09;

	zz = ((i19 & 0x00f0)>>4);
	if (zz < 0x0a ) zz = zz | 0x30;
	else zz = ( zz | 0x60) - 0x09;
	
	ee = (i19 & 0x000f);
	if ( ee < 0x0a ) ee = ee | 0x30;
	else ee = ( ee | 0x60) - 0x09;
	
	lcd_gotoxy(xpos, ypos);									// schickt den Cursor auf Position X=Spalte y= Zeile
	lcd_putc(tt);lcd_putc(hh);lcd_putc(zz);lcd_putc(ee);	// und ab aufs LCD Display
	
	//lcd_command(0x01);					// display clear
	//_delay_ms(200);
	
}
// -------------------------- end of intaufLCD() --------------------------------------------------------------




void intaufLCDx(unsigned int i19,unsigned char xpos,unsigned char ypos)					// zeigt zwei Byte mit Warten an
{
	// Integer auf LCD anzeigen
	// weiter = Taste 1 = rot

	unsigned char tt, hh , zz, ee;

	tt = ((i19 & 0xf000)>>12);
	if (tt < 0x0a ) tt = tt | 0x30;
	else tt = ( tt | 0x60) - 0x09;

	hh = ((i19 & 0x0f00)>>8);
	if (hh < 0x0a ) hh = hh | 0x30;
	else hh = ( hh | 0x60) - 0x09;

	zz = ((i19 & 0x00f0)>>4);
	if (zz < 0x0a ) zz = zz | 0x30;
	else zz = ( zz | 0x60) - 0x09;
	
	ee = (i19 & 0x000f);
	if ( ee < 0x0a ) ee = ee | 0x30;
	else ee = ( ee | 0x60) - 0x09;
	
	lcd_gotoxy(xpos, ypos);									// schickt den Cursor auf Position X=Spalte y= Zeile
	lcd_putc(tt);lcd_putc(hh);lcd_putc(zz);lcd_putc(ee);	// und ab aufs LCD Display
	
	
	unsigned char c2 = 0x00;
	while(1)
	{
		c2= ((PINA & 0xF8)>> 3) ;		// Die drei Eingaenge PA0, PA1 und PA2 sind nicht angeschlossen
		if (c2 == 0x01) 				// rote Taste gedrckt
		{
			break;
		}
	}
	//lcd_command(0x01);					// display clear
	//_delay_ms(200);
	
}
// -------------------------- end of intaufLCDx() --------------------------------------------------------------
